SoScXMLZoomTarget(3)

NAME
SoScXMLZoomTarget - SCXML event target service for zoom behaviour.

SYNOPSIS

#include <Inventor/scxml/SoScXMLZoomTarget.h>

Inherits SoScXMLNavigationTarget.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)
static SoScXMLZoomTarget * constructSingleton (void)
static void destructSingleton (void)
static SoScXMLZoomTarget * singleton (void)
static const SbName & BEGIN (void)
static const SbName & UPDATE (void)
static const SbName & END (void)
static const SbName & ZOOM (void)
static const SbName & ZOOM_IN (void)
static const SbName & ZOOM_OUT (void)
static const SbName & RESET (void)
static void zoom (SoCamera *camera, float factor)
static void reset (SoCamera *camera)

  Protected Member Functions
virtual SbBool processOneEvent (const ScXMLEvent *event)

  Additional Inherited Members

Detailed Description

SCXML event target service for zoom behaviour. Events:

x-coin-navigation.Zoom.*

{ BEGIN _sessionid {string} mouseposition {SbVec2f}

UPDATE _sessionid {string} mouseposition {SbVec2f}

END _sessionid {string} mouseposition {SbVec2f} }

ZOOM _sessionid factor {float}

ZOOM_IN _sessionid {string} [factor] {float=1.2} [count] {float=1}

ZOOM_OUT _sessionid {string} [factor] {float=1.2} [count] {float=1}

RESET _sessionid {string}

Since
    Coin 3.1

Member Function Documentation

  SoType SoScXMLZoomTarget::getTypeId (void) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements SoScXMLNavigationTarget.

  void SoScXMLZoomTarget::reset (SoCamera * camera) [static]
This function resets the zooming attributes of the camera to the default values.

  SbBool SoScXMLZoomTarget::processOneEvent (const ScXMLEvent * event) [protected], [virtual]
This function processes one event. The base class implementation does nothing.

Reimplemented from ScXMLEventTarget.

Author

Generated automatically by Doxygen for Coin from the source code.